# Uses of Interface
org.eclipse.core.runtime.preferences.IScopeContext

Packages that use IScopeContext
Package
Description
org.eclipse.core.internal.preferences
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.runtime.content
Provides core support for content types.
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences

## Uses of IScopeContext in org.eclipse.core.internal.preferences

Classes in org.eclipse.core.internal.preferences that implement IScopeContext
Modifier and Type
Class
Description
`class`
`org.eclipse.core.internal.preferences.AbstractScope`
Abstract super-class for scope context object contributed by the Platform.

## Uses of IScopeContext in org.eclipse.core.resources

Classes in org.eclipse.core.resources that implement IScopeContext
Modifier and Type
Class
Description
`final class`
`ProjectScope`
Object representing the project scope in the Eclipse preferences hierarchy.

## Uses of IScopeContext in org.eclipse.core.runtime.content

Methods in org.eclipse.core.runtime.content that return IScopeContext
Modifier and Type
Method
Description
`IScopeContext`
IContentTypeManager.ContentTypeChangeEvent.`getContext()`
Return the preference scope where the setting changed, or `null`, if the change happened in the content type manager default context.
Methods in org.eclipse.core.runtime.content with parameters of type IScopeContext
Modifier and Type
Method
Description
`IContentTypeMatcher`
IContentTypeManager.`getMatcher(IContentTypeManager.ISelectionPolicy customPolicy, IScopeContext context)`
Returns a newly created content type matcher using the given content type selection policy and preference scope.
`IContentTypeSettings`
IContentType.`getSettings(IScopeContext context)`
Returns the settings for this content type in the given preference context.
`boolean`
IContentType.`isAssociatedWith(String fileName, IScopeContext context)`
Returns whether this content type is associated with the given file name in the given preference scope.
Constructors in org.eclipse.core.runtime.content with parameters of type IScopeContext
Modifier
Constructor
Description
``
`ContentTypeChangeEvent(IContentType source, IScopeContext context)`
Constructor for a new content type change event.

## Uses of IScopeContext in org.eclipse.core.runtime.preferences

Classes in org.eclipse.core.runtime.preferences that implement IScopeContext
Modifier and Type
Class
Description
`final class`
`BundleDefaultsScope`
Object representing the bundle defaults scope in the Eclipse preferences hierarchy.
`final class`
`ConfigurationScope`
Object representing the configuration scope in the Eclipse preferences hierarchy.
`final class`
`DefaultScope`
Object representing the default scope in the Eclipse preferences hierarchy.
`final class`
`InstanceScope`
Object representing the instance scope in the Eclipse preferences hierarchy.
Fields in org.eclipse.core.runtime.preferences declared as IScopeContext
Modifier and Type
Field
Description
`static final IScopeContext`
BundleDefaultsScope.`INSTANCE`
Singleton instance of a Bundle Defaults Scope object.
`static final IScopeContext`
ConfigurationScope.`INSTANCE`
Singleton instance of a Configuration Scope object.
`static final IScopeContext`
DefaultScope.`INSTANCE`
Singleton instance of a Default Scope object.
`static final IScopeContext`
InstanceScope.`INSTANCE`
Singleton instance of an Instance Scope object.
Methods in org.eclipse.core.runtime.preferences with parameters of type IScopeContext
Modifier and Type
Method
Description
`boolean`
IPreferencesService.`getBoolean(String qualifier, String key, boolean defaultValue, IScopeContext[] contexts)`
Return the value stored in the preference store for the given key.
`byte[]`
IPreferencesService.`getByteArray(String qualifier, String key, byte[] defaultValue, IScopeContext[] contexts)`
Return the value stored in the preference store for the given key.
`double`
IPreferencesService.`getDouble(String qualifier, String key, double defaultValue, IScopeContext[] contexts)`
Return the value stored in the preference store for the given key.
`float`
IPreferencesService.`getFloat(String qualifier, String key, float defaultValue, IScopeContext[] contexts)`
Return the value stored in the preference store for the given key.
`int`
IPreferencesService.`getInt(String qualifier, String key, int defaultValue, IScopeContext[] contexts)`
Return the value stored in the preference store for the given key.
`long`
IPreferencesService.`getLong(String qualifier, String key, long defaultValue, IScopeContext[] contexts)`
Return the value stored in the preference store for the given key.
`String`
IPreferencesService.`getString(String qualifier, String key, String defaultValue, IScopeContext[] contexts)`
Return the value stored in the preference store for the given key.

## Uses of IScopeContext in org.eclipse.equinox.p2.engine

Classes in org.eclipse.equinox.p2.engine that implement IScopeContext
Modifier and Type
Class
Description
`final class`
`ProfileScope`
A profile scope contains the preferences associated with a particular profile in a provisioned system.

## Uses of IScopeContext in org.eclipse.ui.preferences

Methods in org.eclipse.ui.preferences with parameters of type IScopeContext
Modifier and Type
Method
Description
`void`
ScopedPreferenceStore.`setSearchContexts(IScopeContext[] scopes)`
Set the search contexts to scopes.
Constructors in org.eclipse.ui.preferences with parameters of type IScopeContext
Modifier
Constructor
Description
``
`ScopedPreferenceStore(IScopeContext context, String qualifier)`
Create a new instance of the receiver.
``
`ScopedPreferenceStore(IScopeContext context, String qualifier, String defaultQualifierPath)`
Create a new instance of the receiver.